/changedEntityExportJobs/{exportJobId}

This endpoint returns status and metadata about an existing Changed Entity Export Job, which is specified by the unique identifier exportJobId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

Returns metadata about a ChangedEntityExportJob object, if found.

{
  "exportJobId": 12345,
  "jobStatus": "Complete",
  "dateChangedFrom": "2019-01-01T01:02:03+04:00",
  "dateChangedTo": "2019-01-01T07:03:09+04:00",
  "files": [
    {
      "downloadUrl": "https://www.example.com/some-unique-file-name.csv",
      "dateExpired": "2019-01-31T15:05:54.2106809-04:00"
    }
  ],
  "message": "Finished processing export job",
  "code": null,
  "exportedRecordCount": 10500
}
PropertyTypeDescription
exportJobIdlongUnique identifier for a Changed Entity Export Job
jobStatusstringPending, InProcess, Error, Complete
dateChangedFromdateUser-specified timestamp in the format YYYY-MM-DDThh:mm:ss.00Z or YYYY-MM-DDThh:mm:ss.00 -hh:mm
dateChangedTodateServer-generated timestamp in the format YYYY-MM-DDThh:mm:ss.00 -hh:mm
filesarrayCollection of file objects in the format [ { downloadUrl, dateExpired } ][ dateExpired ]. File access expires after 24 hours.
messagestringAdditional information about the job status
codestringnull if there is no error, otherwise a reference code for debugging
exportedRecordCountintThe number of records contained across all export files

If the specified exportJobId is inaccessible or does not exist, this endpoint will return an error with HTTP Status Code 404 Not Found.

Path Params
int64
required
Defaults to 12345

Unique identifier for a ChangedEntityExportJob

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json